Debian Bug report logs - #385951
Fail to scan array in some case when partition is at the end of the disk

version graph

Package: mdadm; Maintainer for mdadm is Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>; Source for mdadm is src:mdadm.

Reported by: Klaus Ethgen <Klaus@Ethgen.de>

Date: Mon, 4 Sep 2006 08:18:10 UTC

Severity: critical

Tags: patch, upstream

Found in versions mdadm/2.5.2-7, 2.5.3.git200608202239-3, 2.5.3.git200608202239-5

Fixed in version 2.5.4-1

Done: martin f krafft <madduck@debian.org>

Bug is archived. No further changes may be made.

Forwarded to neilb@suse.de

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#385951; Package mdadm. Full text and rfc822 format available.

Acknowledgement sent to Klaus Ethgen <Klaus@Ethgen.de>:
New Bug report received and forwarded. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Klaus Ethgen <Klaus@Ethgen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Fail to scan array in some case when partition is at the end of the disk
Date: Mon, 4 Sep 2006 10:05:22 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: mdadm
Version: 2.5.2-7
Severity: critical

Tha actual mdadm in testing makes the whole system to unbootable if on
raid slice is on the end of a disk. (In some cases)

My config:
- ---mdadm.conf---
DEVICE partitions
ARRAY /dev/md0 level=raid1 num-devices=2 UUID=88cf7fb7:6fab12d7:b713c983:af6eaca5
MAILADDR root
- ----------------

- ---hdc---
Disk /dev/hdc: 60.0 GB, 60060155904 bytes
16 heads, 63 sectors/track, 116374 cylinders
Units = cylinders of 1008 * 512 = 516096 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hdc1   *           1         496      249983+  83  Linux
/dev/hdc2             497        1488      499968   82  Linux swap / Solaris
/dev/hdc3            1489      116374    57902544   fd  Linux raid autodetect
- ---------
- ---hdd---
Disk /dev/hdd: 320.0 GB, 320072933376 bytes
255 heads, 63 sectors/track, 38913 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hdd1               1        9728    78140159+  8e  Linux LVM
/dev/hdd2            9729       19456    78140160   8e  Linux LVM
/dev/hdd3           31705       38913    57906292+  fd  Linux raid autodetect
- ---------

- ---/proc/mdstat---
Personalities : [raid1] 
read_ahead 1024 sectors
md0 : active raid1 hdd3[0]
      57902464 blocks [2/1] [U_]
      
unused devices: <none>
- ------------------

Please note that I had to run the raid in degraded mode as /dev/hdc3
cannot be in the array (See below).

When I do a "mdadm --assemble --scan --auto=yes" (as done in
/etc/init.d/mdadm-raid) then I get the following error:

- ---
mdadm: no recogniseable superblock on /dev/hda2
mdadm: /dev/hda2 has wrong uuid.
mdadm: no recogniseable superblock on /dev/hda1
mdadm: /dev/hda1 has wrong uuid.
mdadm: no recogniseable superblock on /dev/hda
mdadm: /dev/hda has wrong uuid.
mdadm: no RAID superblock on /dev/hdd2
mdadm: /dev/hdd2 has wrong uuid.
mdadm: no RAID superblock on /dev/hdd1
mdadm: /dev/hdd1 has wrong uuid.
mdadm: no RAID superblock on /dev/hdd
mdadm: /dev/hdd has wrong uuid.
mdadm: no RAID superblock on /dev/hdc2
mdadm: /dev/hdc2 has wrong uuid.
mdadm: no RAID superblock on /dev/hdc1
mdadm: /dev/hdc1 has wrong uuid.
mdadm: no RAID superblock on /dev/vg1/lv_hathi
mdadm: /dev/vg1/lv_hathi has wrong uuid.
mdadm: no RAID superblock on /dev/vg1/lv_misc
mdadm: /dev/vg1/lv_misc has wrong uuid.
mdadm: no RAID superblock on /dev/vg1/lv_mirror
mdadm: /dev/vg1/lv_mirror has wrong uuid.
mdadm: WARNING /dev/hdc3 and /dev/hdc appear to have very similar superblocks.
      If they are really different, please --zero the superblock on one
      If they are the same, please remove one from the list.
- ---

Cleaning the superblock of /dev/hdc also clean the one of /dev/hdc3 and
so leaving the raid in a degraded state. But at least I can now boot the
system after running the md0 by hand.

Note that the partition /dev/hdd3 is also at the end of the disk but do
not make problemes.

This is a very critical bug and should be fixed in etch (I think, this
is release critical!!!)

- -- Package-specific info:
- --- mount output
/dev/hda1 on / type ext3 (rw)
proc on /proc type proc (rw)
tmpfs on /dev/shm type tmpfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /tmp type tmpfs (rw,nosuid,nodev,mode=1777)
/dev/sysvg/lv_usr on /usr type ext3 (rw,noatime)
/dev/sysvg/lv_var on /var type reiserfs (rw)
/dev/sysvg/lv_local on /usr/local type ext3 (rw,noatime)
/dev/sysvg/lv_home on /home type reiserfs (rw,nosuid,nodev)
/dev/vg1/lv_misc on /misc type reiserfs (rw,nosuid,nodev)
/dev/vg1/lv_mirror on /mirror type reiserfs (rw,nosuid,nodev)
/dev/vg1/lv_hathi on /hathi type ext2 (ro)
capifs on /dev/capi type capifs (rw,mode=0666)
/proc/bus/usb on /proc/bus/usb type usbdevfs (rw)
AFS on /afs type afs (rw)
localhost:/var/lib/cfs/.cfsfs on /var/cfs type nfs (rw,port=3049,intr,nfsvers=2,addr=127.0.0.1)
binfmt_misc on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)

- --- mdadm.conf
DEVICE partitions
ARRAY /dev/md0 level=raid1 num-devices=2 UUID=88cf7fb7:6fab12d7:b713c983:af6eaca5
MAILADDR root

- --- /proc/mdstat:
Personalities : [raid1] 
read_ahead 1024 sectors
md0 : active raid1 hdd3[0]
      57902464 blocks [2/1] [U_]
      
unused devices: <none>

- --- /proc/partitions:
major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect wuse running use aveq

   9     0   57902464 md0 0 0 0 0 0 0 0 0 0 0 0
  58     1   32768000 lvmb 0 0 0 0 0 0 0 0 0 0 0
  58     2    6815744 lvmc 0 0 0 0 0 0 0 0 0 0 0
  58     3   32669696 lvmd 0 0 0 0 0 0 0 0 0 0 0
  58     4   36044800 lvme 0 0 0 0 0 0 0 0 0 0 0
  58     5    5242880 lvmf 0 0 0 0 0 0 0 0 0 0 0
  58     6     360448 lvmg 0 0 0 0 0 0 0 0 0 0 0
  58     9    1048576 lvmj 0 0 0 0 0 0 0 0 0 0 0
  22     0   58652496 hdc 288 2376 15528 2120 1127 7727 70854 8760 -20 582540 32154602
  22     1     249983 hdc1 11 269 560 80 0 0 0 0 0 60 80
  22     2     499968 hdc2 261 1815 14352 1890 1127 7727 70854 8760 0 4210 10670
  22     3   57902544 hdc3 11 269 560 130 0 0 0 0 0 110 130
  22    64  312571224 hdd 18594 122005 799916 834550 5509 12032 140304 934920 -8 581260 40123032
  22    65   78140159 hdd1 11 269 560 120 0 0 0 0 0 100 120
  22    66   78140160 hdd2 592 1287 7016 398410 2 0 16 0 0 3640 398410
  22    67   57906292 hdd3 17985 120423 792276 435960 5507 12032 140288 934920 0 91900 1370880
   3     0   39081623 hda 5080 21475 63598 21080 2274 12333 82500 16190 -21 582480 31594852
   3     1     249007 hda1 4803 19552 48710 18560 1403 4347 11598 7410 0 13900 25970
   3     2     498015 hda2 271 1881 14792 2450 871 7986 70902 8780 0 4270 11260

- --- initrd.img-2.4.32:

- --- /proc/modules:
raid1                  13264   1 (autoclean)
md                     58176   2 (autoclean) [raid1]

- --- /var/log/syslog:
Sep  4 09:45:09 ikki kernel: md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
Sep  4 09:45:09 ikki kernel: md: bind<hdd3,1>
Sep  4 09:45:09 ikki kernel: md: hdd3's event counter: 00000011
Sep  4 09:45:09 ikki kernel: md: raid1 personality registered as nr 3
Sep  4 09:45:09 ikki kernel: md: updating md0 RAID superblock on device
Sep  4 09:45:09 ikki kernel: md: hdd3 [events: 00000012]<6>(write) hdd3's sb offset: 57906176
Sep  4 09:45:09 ikki kernel: md: recovery thread got woken up ...
Sep  4 09:45:09 ikki kernel: md: recovery thread finished ...

- --- volume detail:
/dev/hdd3:
          Magic : a92b4efc
        Version : 00.90.00
           UUID : 88cf7fb7:6fab12d7:b713c983:af6eaca5
  Creation Time : Tue Jul 25 17:51:10 2006
     Raid Level : raid1
    Device Size : 57902464 (55.22 GiB 59.29 GB)
     Array Size : 57902464 (55.22 GiB 59.29 GB)
   Raid Devices : 2
  Total Devices : 1
Preferred Minor : 0

    Update Time : Mon Sep  4 09:44:43 2006
          State : active
 Active Devices : 1
Working Devices : 1
 Failed Devices : 0
  Spare Devices : 0
       Checksum : 955df62d - correct
         Events : 0.18


      Number   Major   Minor   RaidDevice State
this     0      22       67        0      active sync   /dev/hdd3

   0     0      22       67        0      active sync   /dev/hdd3
   1     1       0        0        1      faulty removed
- --


- -- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'unstable'), (500, 'stable'), (60, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.4.32
Locale: LANG=de_DE, LC_CTYPE=de_DE (charmap=ISO-8859-1) (ignored: LC_ALL set to de_DE)

Versions of packages mdadm depends on:
ii  debconf [debconf-2.0]        1.5.3       Debian configuration management sy
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  lsb-base                     3.1-14      Linux Standard Base 3.1 init scrip
ii  makedev                      2.3.1-82    creates device files in /dev

Versions of packages mdadm recommends:
ii  exim4-daemon-heavy [mail-tran 4.63-3     exim MTA (v4) daemon with extended

- -- debconf information:
* mdadm/autostart: true
* mdadm/initrdstart: none
* mdadm/warning:
* mdadm/start_daemon: true
* mdadm/mail_to: root
* mdadm/autocheck: false

- -- 
Klaus Ethgen                            http://www.ethgen.de/
pub  2048R/D1A4EDE5 2000-02-26 Klaus Ethgen <Klaus@Ethgen.de>
Fingerprint: D7 67 71 C4 99 A6 D4 FE  EA 40 30 57 3C 88 26 2B
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQEVAwUBRPveQp+OKpjRpO3lAQLopQf8DA22VaX1EXRCaK2IK8XAWiKolZW7KBWt
XwTqzznB3+dxbV8KXlWprwn7PdgMi9pwIQ4KlquxcDbc4XYTs4VvEo2fm4lSn4Ic
nocDESgPEBXwWLeQvVq1MVbsIlypayJDFNooU3qS8JpfxFFCpxJ/Rmd4HQa9RX0+
ZqpCWzJ/H9fwfYbEo/uMBUZOVVZyZ5oIUhWb+FGTRvAUZEDbFbtfyjoZZKn+eIkm
LD2u9K+OLqzQ2RWfZnak7/vwK/mP1Uc+z1ofZf96i0C3C+yR3FQaiYIe6iqhCjou
f/IlRsPtZ35Et70WodFeQ0D3DZ+diDBZh72TBqa5xsMdnVV519HOow==
=JTul
-----END PGP SIGNATURE-----



Tags added: upstream Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to martin f krafft <madduck@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #10 received at 385951-forwarded@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: neilb@suse.de
Cc: 385951-submitter@bugs.debian.org, 385951-forwarded@bugs.debian.org
Subject: Re: Bug#385951: Fail to scan array in some case when partition is at the end of the disk
Date: Mon, 4 Sep 2006 10:41:16 +0200
[Message part 1 (text/plain, inline)]
tags 385951 upstream
thanks

Neil, this one looks like a bug, not sure how to fix it though.
Maybe prevent scanning /dev/hdX if you are also scanning /dev/hdXY ?

One comment inline:

also sprach Klaus Ethgen <Klaus@Ethgen.de> [2006.09.04.1005 +0200]:
> Package: mdadm
> Version: 2.5.2-7
> Severity: critical
> 
> Tha actual mdadm in testing makes the whole system to unbootable if on
> raid slice is on the end of a disk. (In some cases)
> 
> My config:
> ---mdadm.conf---
> DEVICE partitions
> ARRAY /dev/md0 level=raid1 num-devices=2 UUID=88cf7fb7:6fab12d7:b713c983:af6eaca5
> MAILADDR root
> ----------------
> 
> ---hdc---
> Disk /dev/hdc: 60.0 GB, 60060155904 bytes
> 16 heads, 63 sectors/track, 116374 cylinders
> Units = cylinders of 1008 * 512 = 516096 bytes
> 
>    Device Boot      Start         End      Blocks   Id  System
> /dev/hdc1   *           1         496      249983+  83  Linux
> /dev/hdc2             497        1488      499968   82  Linux swap / Solaris
> /dev/hdc3            1489      116374    57902544   fd  Linux raid autodetect
> ---------
> ---hdd---
> Disk /dev/hdd: 320.0 GB, 320072933376 bytes
> 255 heads, 63 sectors/track, 38913 cylinders
> Units = cylinders of 16065 * 512 = 8225280 bytes
> 
>    Device Boot      Start         End      Blocks   Id  System
> /dev/hdd1               1        9728    78140159+  8e  Linux LVM
> /dev/hdd2            9729       19456    78140160   8e  Linux LVM
> /dev/hdd3           31705       38913    57906292+  fd  Linux raid autodetect
> ---------

See the + at the end of the number of blocks of /dev/hdd3? This
means there's a little space left at the end of the disk, I think.
See sfdisk(8):

         The  trailing - and + signs indicate that rounding has
         taken place, and that the actual value is slightly less
         (more).  To see the  exact  val‐ ues, ask for a listing
         with sectors as unit.

This is not the case for /dev/hdc (and on my own systems).

> ---/proc/mdstat---
> Personalities : [raid1] 
> read_ahead 1024 sectors
> md0 : active raid1 hdd3[0]
>       57902464 blocks [2/1] [U_]
>       
> unused devices: <none>
> ------------------
> 
> Please note that I had to run the raid in degraded mode as /dev/hdc3
> cannot be in the array (See below).
> 
> When I do a "mdadm --assemble --scan --auto=yes" (as done in
> /etc/init.d/mdadm-raid) then I get the following error:
> 
> ---
> mdadm: no recogniseable superblock on /dev/hda2
> mdadm: /dev/hda2 has wrong uuid.
> mdadm: no recogniseable superblock on /dev/hda1
> mdadm: /dev/hda1 has wrong uuid.
> mdadm: no recogniseable superblock on /dev/hda
> mdadm: /dev/hda has wrong uuid.
> mdadm: no RAID superblock on /dev/hdd2
> mdadm: /dev/hdd2 has wrong uuid.
> mdadm: no RAID superblock on /dev/hdd1
> mdadm: /dev/hdd1 has wrong uuid.
> mdadm: no RAID superblock on /dev/hdd
> mdadm: /dev/hdd has wrong uuid.
> mdadm: no RAID superblock on /dev/hdc2
> mdadm: /dev/hdc2 has wrong uuid.
> mdadm: no RAID superblock on /dev/hdc1
> mdadm: /dev/hdc1 has wrong uuid.
> mdadm: no RAID superblock on /dev/vg1/lv_hathi
> mdadm: /dev/vg1/lv_hathi has wrong uuid.
> mdadm: no RAID superblock on /dev/vg1/lv_misc
> mdadm: /dev/vg1/lv_misc has wrong uuid.
> mdadm: no RAID superblock on /dev/vg1/lv_mirror
> mdadm: /dev/vg1/lv_mirror has wrong uuid.
> mdadm: WARNING /dev/hdc3 and /dev/hdc appear to have very similar superblocks.
>       If they are really different, please --zero the superblock on one
>       If they are the same, please remove one from the list.
> ---
> 
> Cleaning the superblock of /dev/hdc also clean the one of /dev/hdc3 and
> so leaving the raid in a degraded state. But at least I can now boot the
> system after running the md0 by hand.
> 
> Note that the partition /dev/hdd3 is also at the end of the disk but do
> not make problemes.
> 
> This is a very critical bug and should be fixed in etch (I think, this
> is release critical!!!)

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Message sent on to Klaus Ethgen <Klaus@Ethgen.de>:
Bug#385951. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#385951; Package mdadm. Full text and rfc822 format available.

Acknowledgement sent to testacc@xs4all.nl:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #18 received at 385951@bugs.debian.org (full text, mbox):

From: "Mat" <testacc@xs4all.nl>
To: 385951@bugs.debian.org
Subject: Bug noticed after installation linux-image-2.6.17-2-686
Date: Tue, 12 Sep 2006 23:44:13 +0200 (CEST)
Hello,

I have noticed this bug after installing a linux-image-2.6.17-2-686 on Etch.

The system was booting very well on a 2.6.15 kernel that also broke after
the upgrade to 2.6.17-2-686

On both kernels, the same errors as discribed below in earlier posts. For
every partition a wrong UUID where mdadm can't open them and turns into a
Kernel Panic.

Because of this fact I was not able to post some logs because the system
can't write after the reboot to the MD's.

mdadm -V gives me a 2.5.2 version.

Is there a version that can be installed manually for the moment ?




Tags added: patch Request was from "Steinar H. Gunderson" <sesse@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Klaus Ethgen <Klaus@Ethgen.de>:
Bug#385951. Full text and rfc822 format available.

Message #23 received at 385951-submitter@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sesse@debian.org>
To: martin f krafft <madduck@debian.org>
Cc: neilb@suse.de, 385951-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#385951: Fail to scan array in some case when partition is at the end of the disk
Date: Wed, 13 Sep 2006 02:41:52 +0200
[Message part 1 (text/plain, inline)]
tags 385951 + patch
thanks

On Mon, Sep 04, 2006 at 10:41:16AM +0200, martin f krafft wrote:
> Neil, this one looks like a bug, not sure how to fix it though.
> Maybe prevent scanning /dev/hdX if you are also scanning /dev/hdXY ?

The attached patch does just that -- if it finds hda1 right after hda (and
the major numbers match), it simply kills hda, as it can't contain both a
partition table _and_ an MD superblock. The parsing might be a bit cursory,
but I've verified the assumptions done against the kernel, so I'm quite sure
it shouldn't break. I haven't got a setup that breaks like the submitter, but
it does indeed remove hda from the scanning in my test.

Klaus Ethgen wrote:
>> This is a very critical bug and should be fixed in etch (I think, this
>> is release critical!!!)

FWIW, I'm not the maintainer, but I do not really think this warrants the
critical severity; the setup is quite rare and easily worked around (just
specify the devices manually in mdadm.conf).

/* Steinar */
-- 
Homepage: http://www.sesse.net/
[mdadm-dont-scan-disks-with-partition-tables.diff (text/plain, attachment)]

Tags added: pending Request was from martin f.krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Klaus Ethgen <Klaus@Ethgen.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 385951-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 385951-close@bugs.debian.org
Subject: Bug#385951: fixed in mdadm 2.5.3.git200608202239-3
Date: Wed, 13 Sep 2006 05:47:06 -0700
Source: mdadm
Source-Version: 2.5.3.git200608202239-3

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_2.5.3.git200608202239-3_i386.udeb
  to pool/main/m/mdadm/mdadm-udeb_2.5.3.git200608202239-3_i386.udeb
mdadm_2.5.3.git200608202239-3.diff.gz
  to pool/main/m/mdadm/mdadm_2.5.3.git200608202239-3.diff.gz
mdadm_2.5.3.git200608202239-3.dsc
  to pool/main/m/mdadm/mdadm_2.5.3.git200608202239-3.dsc
mdadm_2.5.3.git200608202239-3_i386.deb
  to pool/main/m/mdadm/mdadm_2.5.3.git200608202239-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385951@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  7 Sep 2006 14:32:04 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source i386
Version: 2.5.3.git200608202239-3
Distribution: unstable
Urgency: medium
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 384614 384754 385017 385690 385951 385994 386468 387017
Changes: 
 mdadm (2.5.3.git200608202239-3) unstable; urgency=medium
 .
   * Urgency medium because of RC bugs.
   * Add versioned dependency to debconf (closes: #385994); temporary fix until
     we find a proper fix for #386439.
   * Add patch by Steinar H. Gunderson to ensure mdadm does not interpret
     a superblock as belonging to a device when it's actually part of
     a partition on that device (closes: #385951).
   * Do not override the superblock default version in mdadm.conf to prevent
     creation of superblocks that the kernel can't handle (closes: #384614).
   * Added a note to alert people that the warning about arrays not listed in
     the configuration file is only relevant if the arrays are needed to be
     brought up by mdadm from initramfs during boot (closes: #385017).
   * Added bootloader/cmdline info to bugscript so that future bug reports via
     bug/reportbug include information on how the system is booted with respect
     to RAID (the root partition).
   * If mdadm is being configured in a chroot, it now defaults to starting all
     arrays from the initial ramdisk, rather than trying to figure out the root
     MD array (we're using /proc information, so it would be the one of the
     host, not the one of the chroot) (closes: #386468).
   * Added LSB headers to init scripts.
   * Reworked the documentation with respect to the use of "MD" and "RAID", and
     added a FAQ entry on the meaning of "MD". Thanks to Frans Pop for his
     help!
   * Updated debconf translations:
     - Czech by Miroslav Kure (closes: #384754).
     - French by Florentin Duneau (closes: #385690).
     - Russian by Yuri Kozlov (closes: #387017).
Files: 
 ab3afa3d115d66238d13f5b59312a123 760 admin optional mdadm_2.5.3.git200608202239-3.dsc
 c66a67dc5d71ae8b1a99f9ad121718b1 89230 admin optional mdadm_2.5.3.git200608202239-3.diff.gz
 eff02d5b331491a5e84be2e05ebe1870 198692 admin optional mdadm_2.5.3.git200608202239-3_i386.deb
 ed4e1efa7c3e782a5f0045d7a9b82324 68348 debian-installer optional mdadm-udeb_2.5.3.git200608202239-3_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFB/WXIgvIgzMMSnURApjdAKCGM7Um0aJpgzXF6CCwLHmBhMEPKgCg0HPu
GOzEoOXeoK3R3xbEy3rBxCU=
=Ys1W
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#385951; Package mdadm. Full text and rfc822 format available.

Acknowledgement sent to Klaus Ethgen <Klaus@Ethgen.de>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 385951@bugs.debian.org (full text, mbox):

From: Klaus Ethgen <Klaus@Ethgen.de>
To: 385951@bugs.debian.org
Subject: Re: Bug#385951 closed by madduck@debian.org (martin f. krafft) (Bug#385951: fixed in mdadm 2.5.3.git200608202239-3)
Date: Thu, 14 Sep 2006 10:00:55 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Madduck,

Am Mi den 13. Sep 2006 um 15:18 schrieb Debian Bug Tracking System:
> This is an automatic notification regarding your Bug report
> #385951: Fail to scan array in some case when partition is at the end of the disk,
> which was filed against the mdadm package.
> 
> It has been closed by madduck@debian.org (martin f. krafft).
> 
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact madduck@debian.org (martin f. krafft) by replying
> to this email.

Sorry, the bug is not closed. The patch didn't help.

In deutsch, da Du ja aus Deutschland bist. ;-): Der Bug wird durch den
Patch nicht gefixt. Das Problem besteht immer noch und ich bekomme die
selbe Fehlermeldung.

Was mich verwundert, daß Problem trat erst mit einem der letzten Updates
in etch/testing auf. Davor gab es das Problem nicht und er hat nicht
fehlerhafterweise versucht, die gesamte Disk als Konkurrenz zur letzten
Partition auf der selbigen anzusehen.

Gruß
   Klaus
- -- 
Klaus Ethgen                            http://www.ethgen.de/
pub  2048R/D1A4EDE5 2000-02-26 Klaus Ethgen <Klaus@Ethgen.de>
Fingerprint: D7 67 71 C4 99 A6 D4 FE  EA 40 30 57 3C 88 26 2B
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQEVAwUBRQkMNp+OKpjRpO3lAQK9xAgAmgNvjiY0joc6KIYcgR9qHa5xS8VJwj6c
kSi0bJBFq+iPevqOKZPFoiuit55QQAXzYwy5srzpH72zxnlSgd1kABxlnVnf6YtW
N8PcrGib8LVD2fQlBa5I3s4zv5TImbnDtgnWyst6VuUQPIKQ0PbPxRxGJcfwhi4b
+GU6C6ZfebUy/i9v696jJf5hNMHo8wPAKBdWS2NBSCLNv1Y7PzkPdSczuZhi9zyj
no/fbrrJQezR5wxk0hun6K8a9Ge3xV2u+KgZHIeZxlGAR3H5b339bqodI4/OiSkN
7YIsT0DQG1vRjD+mT0Xq8u0qF2NGM4y9kUm+SOfa3HzhshINZgQJaw==
=pp3r
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#385951; Package mdadm. Full text and rfc822 format available.

Message #38 received at 385951@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Klaus Ethgen <Klaus@Ethgen.de>, 385951@bugs.debian.org
Subject: Re: Bug#385951: closed by madduck@debian.org (martin f. krafft) (Bug#385951: fixed in mdadm 2.5.3.git200608202239-3)
Date: Thu, 14 Sep 2006 11:23:08 +0200
[Message part 1 (text/plain, inline)]
also sprach Klaus Ethgen <Klaus@Ethgen.de> [2006.09.14.1000 +0200]:
> Sorry, the bug is not closed. The patch didn't help.

Please try
  http://debian.madduck.net/repo/dists/UNRELEASED/main/binary-i386/admin/mdadm_2.5.3.git200608202239-5~unreleased.1_i386.deb

and then run

  mdadm -Escpartitions

and post the output to this bug report.

> Was mich verwundert, daß Problem trat erst mit einem der letzten
> Updates in etch/testing auf. Davor gab es das Problem nicht und er
> hat nicht fehlerhafterweise versucht, die gesamte Disk als
> Konkurrenz zur letzten Partition auf der selbigen anzusehen.

Between 2.4.1 and 2.5.3, many things have changed with respect to
parsing.

(please stick to English in bug reports)

-- 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~madduck http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from martin f.krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2.5.3.git200608202239-3. Request was from martin f.krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#385951; Package mdadm. Full text and rfc822 format available.

Acknowledgement sent to Klaus Ethgen <Klaus@Ethgen.de>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #47 received at 385951@bugs.debian.org (full text, mbox):

From: Klaus Ethgen <Klaus@Ethgen.de>
To: martin f krafft <madduck@debian.org>
Cc: 385951@bugs.debian.org
Subject: Re: Bug#385951: closed by madduck@debian.org (martin f. krafft) (Bug#385951: fixed in mdadm 2.5.3.git200608202239-3)
Date: Thu, 14 Sep 2006 12:28:33 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

Am Do den 14. Sep 2006 um 11:23 schrieb martin f krafft:
> Please try
>   http://debian.madduck.net/repo/dists/UNRELEASED/main/binary-i386/admin/mdadm_2.5.3.git200608202239-5~unreleased.1_i386.deb

I will do this evening when I'm physikal on the system.

> and then run
> 
>   mdadm -Escpartitions

Here is the output of the buggy version I have installed now:
~> mdadm -Escpartitions
ARRAY /dev/md0 level=raid1 num-devices=2 UUID=88cf7fb7:6fab12d7:b713c983:af6eaca5

other will follow.

Gruß
   Klaus
- -- 
Klaus Ethgen                            http://www.ethgen.de/
pub  2048R/D1A4EDE5 2000-02-26 Klaus Ethgen <Klaus@Ethgen.de>
Fingerprint: D7 67 71 C4 99 A6 D4 FE  EA 40 30 57 3C 88 26 2B
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQEVAwUBRQku0Z+OKpjRpO3lAQK3rQf/eiHCiXZxOdBxNS2qscGQ6X0d9uibzHiQ
AaorclC1sr8UhjX+nKExk0HCdI6BJYJJWGXDp5KRGjfBZBVwSqFQAmog0Nhm9uDb
lVIlM/3ygRg+uGBQFLtNV+Nulp5cm7/ePOUrn7L3j/R8aWGR+WWrabe7/bo/VNzT
8pdkJ1G9Aa/47Qxguyg7ZAPGMhKlHbsK27PV6p2PznHehjHkgFRBX2p7aaforow1
mmq15Xihb7hyZdc1QmaUMkLjRoCN1ftDE0G8CGWmcDarJ9wDhzqZS3rfVaJGfFiI
Z5KEz+WYsTVNBqknhQUzp2SEh/GUvjDtwXpWSind7HpZ8T0tmHZS9A==
=SqWc
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#385951; Package mdadm. Full text and rfc822 format available.

Message #50 received at 385951@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Klaus Ethgen <Klaus@Ethgen.de>
Cc: 385951@bugs.debian.org
Subject: Re: Bug#385951: closed by madduck@debian.org (martin f. krafft) (Bug#385951: fixed in mdadm 2.5.3.git200608202239-3)
Date: Thu, 14 Sep 2006 12:39:56 +0200
[Message part 1 (text/plain, inline)]
also sprach Klaus Ethgen <Klaus@Ethgen.de> [2006.09.14.1228 +0200]:
> I will do this evening when I'm physikal on the system.

It does not actually make any changes... I only print some debugging
information... you can most likely safely run this remotely.

-- 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~madduck http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#385951; Package mdadm. Full text and rfc822 format available.

Acknowledgement sent to Klaus Ethgen <Klaus@Ethgen.de>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 385951@bugs.debian.org (full text, mbox):

From: Klaus Ethgen <Klaus@Ethgen.de>
To: martin f krafft <madduck@debian.org>
Cc: 385951@bugs.debian.org
Subject: Re: Bug#385951: closed by madduck@debian.org (martin f. krafft) (Bug#385951: fixed in mdadm 2.5.3.git200608202239-3)
Date: Thu, 14 Sep 2006 13:59:19 +0200
[Message part 1 (text/plain, inline)]
Hi Martin,

Am Do den 14. Sep 2006 um 12:39 schrieb martin f krafft:
> It does not actually make any changes... I only print some debugging
> information... you can most likely safely run this remotely.

Ok. I did. You find the output as attachement.

Gruß
   Klaus
-- 
Klaus Ethgen                            http://www.ethgen.de/
pub  2048R/D1A4EDE5 2000-02-26 Klaus Ethgen <Klaus@Ethgen.de>
Fingerprint: D7 67 71 C4 99 A6 D4 FE  EA 40 30 57 3C 88 26 2B
[debug.stderr (text/plain, attachment)]
[debug.stdout (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Klaus Ethgen <Klaus@Ethgen.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #60 received at 385951-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 385951-close@bugs.debian.org
Subject: Bug#385951: fixed in mdadm 2.5.3.git200608202239-5
Date: Sun, 17 Sep 2006 11:18:52 -0700
Source: mdadm
Source-Version: 2.5.3.git200608202239-5

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_2.5.3.git200608202239-5_i386.udeb
  to pool/main/m/mdadm/mdadm-udeb_2.5.3.git200608202239-5_i386.udeb
mdadm_2.5.3.git200608202239-5.diff.gz
  to pool/main/m/mdadm/mdadm_2.5.3.git200608202239-5.diff.gz
mdadm_2.5.3.git200608202239-5.dsc
  to pool/main/m/mdadm/mdadm_2.5.3.git200608202239-5.dsc
mdadm_2.5.3.git200608202239-5_i386.deb
  to pool/main/m/mdadm/mdadm_2.5.3.git200608202239-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385951@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 14 Sep 2006 11:16:39 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source i386
Version: 2.5.3.git200608202239-5
Distribution: unstable
Urgency: medium
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 385951
Changes: 
 mdadm (2.5.3.git200608202239-5) unstable; urgency=medium
 .
   * Keeping medium urgency due to RC bug.
   * Modified the patch responsible for pruning parent devices so that
     superblocks at the end of a disk do not get interpreted twice. It now
     makes less assumptions about the exact output of /proc/partitions and
     should thus be more robust (now closes: #385951).
   * Added code that defers mdadm preconfiguration when the debconf backend is
     too old (and does not provide debconf-escape). Now configuration is
     postponed until the postinst is run in this case.
Files: 
 52a0369c0515c9f3505ac807af3c08aa 760 admin optional mdadm_2.5.3.git200608202239-5.dsc
 742b5bb0004b0f9dd1003a6fee888a61 90891 admin optional mdadm_2.5.3.git200608202239-5.diff.gz
 2e7b7b96e54ad5611d4cef45851e5acd 200412 admin optional mdadm_2.5.3.git200608202239-5_i386.deb
 a0e7dd9829d4de2f46064b27318b4eaa 68400 debian-installer optional mdadm-udeb_2.5.3.git200608202239-5_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDY2AIgvIgzMMSnURAjVtAKDnPpiEQbK8WMOr8Ydcl8c/D/hcyACeLfb8
TeaV3EV2SBpbqWfxauCISns=
=H76U
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2.5.3.git200608202239-5. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Klaus Ethgen <Klaus@Ethgen.de>:
Bug#385951. Full text and rfc822 format available.

Message #67 received at 385951-submitter@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 385951-submitter@bugs.debian.org
Subject: not a solution
Date: Tue, 10 Oct 2006 09:31:27 +0200
[Message part 1 (text/plain, inline)]
reopen 385951
found 385951 2.5.3.git200608202239-5
thanks

The patch I added is not acceptable. Here is what upstream has to
say:

This is the "superblock in partition aligns perfectly with superblock
in whole device" problem.
Using version-1 superblocks will avoid this problem.

Your patch ignores whole-devices which appear to have valid partition
tables.  That would not work for people (like me) who create a raid1
across whole devices and then partition the raid1, as the whole
devices appear to have the same partitions as the raid1.

I don't think there is a generic solution for this problem while using
v0.90 superblocks.  Different people will want different decisions to
resolve the confusion and it cannot be made automatically.

The easiest solution is to change the devices line.
In this case, remove "DEVICE partitions" and add
"DEVICE /dev/hd[a-d][1-9]".

As the message from mdadm says:

mdadm: WARNING /dev/hdc3 and /dev/hdc appear to have very similar superblocks.
      If they are really different, please --zero the superblock on one       
      If they are the same, please remove one from the list.           

We need to remove one from the list... but I guess they are not the
same.  I guess I should improve that message.  It should read

mdadm: WARNING /dev/hdc3 and /dev/hdc appear to have very similar superblocks.
      If they are really different, please --zero the superblock on one       
      If they are the same or overlap, please remove one from the      
      DEVICE list in mdadm.conf.                                 

I shall follow this suggestion, add a note to the documentation, and
close the bug with the next upstream merge.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from martin f.krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Klaus Ethgen <Klaus@Ethgen.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #74 received at 385951-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 385951-close@bugs.debian.org
Subject: Bug#385951: fixed in mdadm 2.5.4-1
Date: Fri, 13 Oct 2006 00:17:31 -0700
Source: mdadm
Source-Version: 2.5.4-1

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_2.5.4-1_amd64.udeb
  to pool/main/m/mdadm/mdadm-udeb_2.5.4-1_amd64.udeb
mdadm_2.5.4-1.diff.gz
  to pool/main/m/mdadm/mdadm_2.5.4-1.diff.gz
mdadm_2.5.4-1.dsc
  to pool/main/m/mdadm/mdadm_2.5.4-1.dsc
mdadm_2.5.4-1_amd64.deb
  to pool/main/m/mdadm/mdadm_2.5.4-1_amd64.deb
mdadm_2.5.4.orig.tar.gz
  to pool/main/m/mdadm/mdadm_2.5.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385951@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 13 Oct 2006 08:32:20 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source amd64
Version: 2.5.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 385726 385951 386315 388172
Changes: 
 mdadm (2.5.4-1) unstable; urgency=low
 .
   * New upstream release:
     - --examine now reports chunk size also for RAID6 and RAID10
     - fix endianness issues with v1 superblocks (closes: #385726) and bitmap
       metadata.
     - improved message when mdadm detects similar superblocks
       (closes: #385951).
     - documents that the automatic update of the super-minor field in the
       superblock when using a 2.6 kernel only applies to RAID levels 1 and
       higher. RAID0 array superblocks must be manually updated
       (closes: #386315, #388172).
     - removes partition table from any whole device added to an array.
     - allow --auto=yes to specify a number; if mdadm determines from the
       device name that you want a partitionable array, this number determines
       the number of sub-device nodes to create.
   * Removed patch previously used to fix #385951 because it's not adequate.
     See the bug log for reasons.
Files: 
 bd5501cafec20ae19546fa80045a0d4d 771 admin optional mdadm_2.5.4-1.dsc
 167f6fe5b55a82766cf397377e080bea 177756 admin optional mdadm_2.5.4.orig.tar.gz
 4797024e3770a5a8b0d6869b8a13eba1 95117 admin optional mdadm_2.5.4-1.diff.gz
 a48bfb8cfd4fcbda08147c55229c881b 212448 admin optional mdadm_2.5.4-1_amd64.deb
 cd4dfc752ade07e7fc51d5d6de0cad6f 70754 debian-installer optional mdadm-udeb_2.5.4-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFLzpmIgvIgzMMSnURAqEwAKCZKsF9ofHdva5bEvNCVbQGIQm+FgCfYqT5
y0gr9ndIvUrEel+aJyp3358=
=iA2L
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to martin f krafft <madduck@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Klaus Ethgen <Klaus@Ethgen.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #81 received at 385951-done@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 385951-done@bugs.debian.org
Cc: aba@not.so.argh.org
Date: Thu, 19 Oct 2006 09:33:09 +0200
[Message part 1 (text/plain, inline)]
Version: 2.5.4-1

This bug was fixed and the changelog entry quoted by aba caused me
to reopen it. However, 2.5.4-1 closes this bug (albeit not with
a proper fix, but the only thing upstream and I came up with), so
it *is* not closed.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 20:09:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:50:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.